contrib: Add scripts to build srsLTE software

Change-Id: Id9d63920a44a80af187e649c9be5fd7498fa5f44
diff --git a/contrib/jenkins-build-common.sh b/contrib/jenkins-build-common.sh
index a9eaf7a..d64f92d 100644
--- a/contrib/jenkins-build-common.sh
+++ b/contrib/jenkins-build-common.sh
@@ -142,10 +142,18 @@
 
   cd "$dep/${dir}"
 
-  set +x; echo; echo; set -x
-  autoreconf -fi
-  set +x; echo; echo; set -x
-  ./configure --prefix="$prefix" --with-systemdsystemunitdir=no $CONFIGURE_FLAGS $configure_opts
+  if [ -f configure.ac ]; then
+    set +x; echo; echo; set -x
+    autoreconf -fi
+    set +x; echo; echo; set -x
+    ./configure --prefix="$prefix" --with-systemdsystemunitdir=no $CONFIGURE_FLAGS $configure_opts
+  elif [ -f CMakeLists.txt ]; then
+    rm -rf build && mkdir build && cd build || exit 1
+    set +x; echo; echo; set -x
+    cmake -DCMAKE_INSTALL_PREFIX=$prefix ../
+  else
+    echo "Unknwown build system" && exit 1
+  fi
   set +x; echo; echo; set -x
   make -j8 || make  # libsmpp34 can't build in parallel
   set +x; echo; echo; set -x
@@ -213,6 +221,9 @@
 
   prune_files bin "$wanted_binaries_bin"
   prune_files sbin "$wanted_binaries_sbin"
+  # Drop all static libraries if exist:
+  rm -f $prefix_real/lib/*.a
+  rm -f $prefix_real/lib/*.la
 
   cd "$prefix_real"
   add_rpath